package cn.ibizlab.core.data.service.impl;

import cn.ibizlab.core.data.domain.DOModel;
import cn.ibizlab.core.data.dto.BaseData;
import cn.ibizlab.util.filter.SearchContextBase;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;

import java.io.Serializable;
import java.util.List;

/**
 * 实体[业务实体] 无存储服务对象接口实现
 */
@Slf4j
@Service
public class MongoDataServiceImpl extends BaseDataService {



    @Override
    public boolean create(DOModel model, String datasource, BaseData et)
    {
        return false;
    }

    @Override
    public void createBatch(DOModel model, String datasource, List<BaseData> list)
    {

    }

    @Override
    public boolean update(DOModel model, String datasource, BaseData et)
    {
        return false;
    }

    @Override
    public void updateBatch(DOModel model, String datasource, List<BaseData> list)
    {

    }

    @Override
    public boolean remove(DOModel model, String datasource, Serializable key)
    {
        return false;
    }

    @Override
    public void removeBatch(DOModel model, String datasource, List<Serializable> idList)
    {

    }

    @Override
    public BaseData get(DOModel model, String datasource, Serializable key)
    {
        return null;
    }

    @Override
    public BaseData getDraft(DOModel model, String datasource, BaseData et)
    {
        return null;
    }

    @Override
    public boolean checkKey(DOModel model, String datasource, BaseData et)
    {
        return false;
    }

    @Override
    public boolean save(DOModel model, String datasource, BaseData et)
    {
        return false;
    }

    @Override
    public void saveBatch(DOModel model, String datasource, List<BaseData> list)
    {

    }

    @Override
    public Page<BaseData> fetch(DOModel model, String dataSet, String datasource, SearchContextBase context)
    {
        return null;
    }

    @Override
    public List<BaseData> list(DOModel model, String dataSet, String datasource, SearchContextBase context)
    {
        return null;
    }


}


